/* filelist.h - this file is part of PixelMerge
 *
 * Copyright (C) 2010 Pascal Giard
 *
 * Author: Pascal Giard <evilynux@gmail.com>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This file is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Derived from the libwiigui template by Tantric (2009)
 *
 * Makes all "data" files available i.e. images, sounds and fonts.
 */

#ifndef _FILELIST_H_
#define _FILELIST_H_

#include <gccore.h>

extern const u8		font_ttf[];
extern const u32	font_ttf_size;

extern const u8		button_over_pcm[];
extern const u32	button_over_pcm_size;

extern const u8		button_png[];
extern const u32	button_png_size;
extern const u8		button_over_png[];
extern const u32	button_over_png_size;

extern const u8		dialogue_box_png[];
extern const u32	dialogue_box_png_size;

extern const u8		bg_options_png[];
extern const u32	bg_options_png_size;

extern const u8		bg_options_entry_png[];
extern const u32	bg_options_entry_png_size;

extern const u8		scrollbar_png[];
extern const u32	scrollbar_png_size;

extern const u8		scrollbar_arrowup_png[];
extern const u32	scrollbar_arrowup_png_size;

extern const u8		scrollbar_arrowup_over_png[];
extern const u32	scrollbar_arrowup_over_png_size;

extern const u8		scrollbar_arrowdown_png[];
extern const u32	scrollbar_arrowdown_png_size;

extern const u8		scrollbar_arrowdown_over_png[];
extern const u32	scrollbar_arrowdown_over_png_size;

extern const u8		scrollbar_box_png[];
extern const u32	scrollbar_box_png_size;

extern const u8		scrollbar_box_over_png[];
extern const u32	scrollbar_box_over_png_size;

extern const u8		player1_point_png[];
extern const u32	player1_point_png_size;
extern const u8		player2_point_png[];
extern const u32	player2_point_png_size;
extern const u8		player3_point_png[];
extern const u32	player3_point_png_size;
extern const u8		player4_point_png[];
extern const u32	player4_point_png_size;
extern const u8		player1_grab_png[];
extern const u32	player1_grab_png_size;
extern const u8		player2_grab_png[];
extern const u32	player2_grab_png_size;
extern const u8		player3_grab_png[];
extern const u32	player3_grab_png_size;
extern const u8		player4_grab_png[];
extern const u32	player4_grab_png_size;

extern const u8		button_pink_png[];
extern const u32	button_pink_png_size;
extern const u8		button_dark_blue_png[];
extern const u32	button_dark_blue_png_size;
extern const u8		button_yellow_png[];
extern const u32	button_yellow_png_size;
extern const u8		button_red_png[];
extern const u32	button_red_png_size;
extern const u8		button_light_blue_png[];
extern const u32	button_light_blue_png_size;
extern const u8		button_green_png[];
extern const u32	button_green_png_size;

extern const u8		logo_png[];
extern const u32	logo_png_size;

extern const u8		bg_main_png[];
extern const u32	bg_main_png_size;
extern const u8		bg_screen_settings_png[];
extern const u32	bg_screen_settings_png_size;

extern const u8		arrow_top_png[];
extern const u32	arrow_top_png_size;
extern const u8		arrow_top_over_png[];
extern const u32	arrow_top_over_png_size;

extern const u8		plus_png[];
extern const u32	plus_png_size;
extern const u8		plus_over_png[];
extern const u32	plus_over_png_size;
extern const u8		minus_png[];
extern const u32	minus_png_size;
extern const u8		minus_over_png[];
extern const u32	minus_over_png_size;

extern const u8		devcompo_splash_png[];
extern const u32	devcompo_splash_png_size;

// Languages
extern const u8         en_lang[];
extern const u32        en_lang_size;
extern const u8         fr_lang[];
extern const u32        fr_lang_size;

#endif
