/* gettext.h - this file is part of PixelMerge
 *
 * Copyright (C) 2010 Pascal Giard
  *
 * Author: Pascal Giard <evilynux@gmail.com>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This file is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Taken from WiiMC by Tantric and Rodries (2009-2010)
 * Did very minor modifications.
 *
 * Translation logic.
 */

#ifndef _GETTEXT_H_
#define _GETTEXT_H_

#include <ogc/conf.h>

#define CONF_LANG_DEFAULT 0xDF
#define CONF_LANG_CONSOLE 0xC0

bool LoadLanguage(u8 lang);

/*
 * input msg = a text in ASCII
 * output = the translated msg in utf-8
 */
const char *gettext(const char *msg);
#define _(s) gettext(s)

#endif /* _GETTEXT_H_ */
