/* video.h - this file is part of PixelMerge
 *
 * Copyright (C) 2010 Pascal Giard
 *
 * Author: Pascal Giard <evilynux@gmail.com>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This file is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Derived from...
 *  the libwiigui template by Tantric (2009) and
 *  the WiiMC flavor also by Tantric (2009)
 *
 * Video functions header.
 */

#ifndef _VIDEO_H_
#define _VIDEO_H_

#include <ogcsys.h>

#ifdef __cplusplus
extern "C" {
#endif

void InitVideo ();
void StopGX();
void ResetVideo_Menu(s16 offsetX, s16 offsetY, u8 scaleX, u8 scaleY);
void Menu_Render();
void Menu_DrawImg(f32 xpos, f32 ypos, u16 width, u16 height, u8 data[], f32 degrees, f32 scaleX, f32 scaleY, u8 alphaF );
void Menu_DrawRectangle(f32 x, f32 y, f32 width, f32 height, GXColor color, u8 filled);

extern int screenheight;
extern int screenwidth;
extern u32 FrameTimer;

#ifdef __cplusplus
}
#endif

#endif
