/* model.h - this file is part of PixelMerge
 *
 * Copyright (C) 2010 Pascal Giard
 *
 * Author: Pascal Giard <evilynux@gmail.com>
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This file is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef BOARDMODEL_H
#define BOARDMODEL_H

#include <ogcsys.h>
#include <vector>

#define NBR_PIXELS 6

typedef struct
{
  u8 color;
  bool group;
  u16 neig[4];
  
} pixel;

class BoardModel {
 private:
  void updateGroup();

 public:
  u16 nbrRows;
  u16 boardSize;

  BoardModel(u16 nbrRows);
  ~BoardModel();
  void updateColor(u8 color);
  void newGame();
  bool checkCompletion();

  enum{
    TOP,
    DOWN,
    LEFT,
    RIGHT,
    NBR_NEIGHBORS
  };

  std::vector<pixel> pixels;
};

#endif /* BOARDMODEL_H */
